Create a data point choice
curl --request POST \
--url https://{region}.affinda.com/v3/data_point_choices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataPoint": "XprEvgai",
"label": "USD",
"value": "USD",
"organization": "mEFayXdO",
"collection": "mEFayXdO",
"synonyms": [
"<string>"
],
"description": "<string>"
}
'import requests
url = "https://{region}.affinda.com/v3/data_point_choices"
payload = {
"dataPoint": "XprEvgai",
"label": "USD",
"value": "USD",
"organization": "mEFayXdO",
"collection": "mEFayXdO",
"synonyms": ["<string>"],
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dataPoint: 'XprEvgai',
label: 'USD',
value: 'USD',
organization: 'mEFayXdO',
collection: 'mEFayXdO',
synonyms: ['<string>'],
description: '<string>'
})
};
fetch('https://{region}.affinda.com/v3/data_point_choices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 1,
"label": "USD",
"value": "USD",
"synonyms": [
"<string>"
],
"description": "<string>"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Deprecated End Points
Create a data point choice
deprecated
Create a custom data point choice.
POST
/
v3
/
data_point_choices
Create a data point choice
curl --request POST \
--url https://{region}.affinda.com/v3/data_point_choices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataPoint": "XprEvgai",
"label": "USD",
"value": "USD",
"organization": "mEFayXdO",
"collection": "mEFayXdO",
"synonyms": [
"<string>"
],
"description": "<string>"
}
'import requests
url = "https://{region}.affinda.com/v3/data_point_choices"
payload = {
"dataPoint": "XprEvgai",
"label": "USD",
"value": "USD",
"organization": "mEFayXdO",
"collection": "mEFayXdO",
"synonyms": ["<string>"],
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dataPoint: 'XprEvgai',
label: 'USD',
value: 'USD',
organization: 'mEFayXdO',
collection: 'mEFayXdO',
synonyms: ['<string>'],
description: '<string>'
})
};
fetch('https://{region}.affinda.com/v3/data_point_choices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 1,
"label": "USD",
"value": "USD",
"synonyms": [
"<string>"
],
"description": "<string>"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Body
application/json
Uniquely identify a data point.
Example:
"XprEvgai"
Example:
"USD"
Example:
"USD"
Uniquely identify an organization.
Example:
"mEFayXdO"
Uniquely identify a collection.
Example:
"mEFayXdO"
Was this page helpful?
⌘I